package com.nbclass.activity.service;

import java.util.List;

import com.nbclass.activity.model.ContentTags;
import com.nbclass.activity.model.DataDict;
import com.nbclass.activity.model.DataDictItem;

/**
 *
 * @author Leon
 * @datetime 2020年5月28日 下午3:13:52
 */
public interface DataDictService {

	/**
	 * 添加
	 * @param entity
	 */
	public void add(DataDict entity);

	/**
	 * 修改
	 * @param entity
	 */
	public void update(DataDict entity);

	/**
	 * 删除
	 * @param ids
	 */
	public void delete(List<Long> ids);

    /**
     * 根据id查询
     * @param id
     * @return entity
     */
	public DataDict findById(Long id);

	/**
	 * 根据条件查询列表
	 * @param entity
	 * @return
	 */
	public List<DataDict> getList(DataDict entity);

	/**
	 * 通过字典Key获取子集
	 * @param datakey
	 * @return
	 */
	public List<DataDictItem> getItemsByKey(String datakey);

	/**
	 * 根据dictid查询字典item列表
	 * @param entity
	 * @return
	 */
	public List<DataDictItem> getItemList(DataDictItem entity);

	/**
	 * 添加或修改字典子项
	 * @param entity
	 */
	public void mergeDataDictItem(DataDictItem entity);

	/**
	 * 删除字典子项
	 * @param id
	 */
	public void deleteDataDictItem(Long id);

	/**
	 * 获取字典值
	 * @return
	 */
    List<ContentTags> getDropDownBox();

	/**
	 * 根据名字查询tasId
	 * @param name
	 * @return
	 */
	String[] getTagId(String name);
}
